--- a/src/libspf2/spf_compile.c
+++ b/src/libspf2/spf_compile.c
@@ -577,7 +577,7 @@ SPF_c_parse_macro(SPF_server_t *spf_serv
 		switch (src[idx]) {
 		case '%':
 			if (spf_server->debug > 3)
-				SPF_debugf("Adding literal %%");
+				SPF_debugf("%s", "Adding literal %%");
 			SPF_ENSURE_STRING_AVAIL(1);
 			*dst++ = '%';
 			ds_len++;
@@ -586,7 +586,7 @@ SPF_c_parse_macro(SPF_server_t *spf_serv
 			
 		case '_':
 			if (spf_server->debug > 3)
-				SPF_debugf("Adding literal space");
+				SPF_debugf("%s", "Adding literal space");
 			SPF_ENSURE_STRING_AVAIL(1);
 			*dst++ = ' ';
 			ds_len++;
@@ -595,7 +595,7 @@ SPF_c_parse_macro(SPF_server_t *spf_serv
 
 		case '-':
 			if (spf_server->debug > 3)
-				SPF_debugf("Adding escaped space");
+				SPF_debugf("%s", "Adding escaped space");
 			SPF_ENSURE_STRING_AVAIL(3);
 			*dst++ = '%'; *dst++ = '2'; *dst++ = '0';
 			ds_len += 3;
--- a/src/libspf2/spf_dns.c
+++ b/src/libspf2/spf_dns.c
@@ -105,7 +105,7 @@ SPF_dns_debug_post(SPF_dns_server_t *spf
 					break;
 
 				default:
-					SPF_debugf("    - Unknown RR type");
+					SPF_debugf("%s", "    - Unknown RR type");
 					break;
 			}
 		}
--- a/src/libspf2/spf_dns_zone.c
+++ b/src/libspf2/spf_dns_zone.c
@@ -114,7 +114,7 @@ SPF_dns_zone_find(SPF_dns_server_t *spf_
 				return spfhook->zone[i];
 		}
 		if (spf_dns_server->debug)
-			SPF_debugf("zone: Exact not found");
+			SPF_debugf("%s", "zone: Exact not found");
     }
 	else {
 		/* We are looking up a record, so lookup-matching semantics apply. */
@@ -152,7 +152,7 @@ SPF_dns_zone_find(SPF_dns_server_t *spf_
 			}
 		}
 		if (spf_dns_server->debug)
-			SPF_debugf("zone: Non-exact not found");
+			SPF_debugf("%s", "zone: Non-exact not found");
 	}
 
     return NULL;
--- a/src/libspf2/spf_id2str.c
+++ b/src/libspf2/spf_id2str.c
@@ -52,7 +52,7 @@ SPF_record_stringify_data(SPF_data_t *da
 	SPF_data_t		*cidr_data;
 
 	if (debug)
-		SPF_debugf(" string data: Building");
+		SPF_debugf("%s", " string data: Building");
 
 	if (p_end - p <= 0)
 		return SPF_E_INTERNAL_ERROR;

